Package org.eclipse.birt.chart.computation

# Class DataPointHints

java.lang.Object
org.eclipse.birt.chart.computation.DataPointHints

public class DataPointHints extends Object
Holds the information necessary to render a DataPoint Label

## Constructor Summary

Constructors
Constructor
Description
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc)`
The constructor.
`DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc)`
DataPointHints constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`accumulate(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileOrthogonalValue)`
Accumulates values to current DataPointHintes.
`String`
`getBaseDisplayValue()`
Returns the base display value of current DataPointHintes.
`final String`
`getBaseDisplayValue(FormatSpecifier formatSpecifier)`
Returns the base display value of current DataPointHintes using given format specifier.
`final Object`
`getBaseValue()`
Returns the base value of current DataPointHintes.
`final String`
`getDisplayValue()`
Returns the display value of current DataPointHintes.
`final String`
`getDisplayValue(FormatSpecifier fs)`
Returns the display value of current DataPointHintes.
`final int`
`getIndex()`
Returns the index of current DataPointHints.
`final Location`
`getLocation()`
Returns the location value of current DataPointHintes.
`final Location3D`
`getLocation3D()`
Returns the 3d location value of current DataPointHintes(only available in 3d mode).
`final String`
`getOrthogonalDisplayValue()`
Returns the orthogonal display value of current DataPointHintes.
`final String`
`getOrthogonalDisplayValue(FormatSpecifier formatSpecifier)`
Returns the orthogonal display value of current DataPointHintes using given format specifier.
`final Object`
`getOrthogonalValue()`
Returns the orthogonal value of current DataPointHintes.
`final String`
`getPercentileOrthogonalDisplayValue()`
Returns the percentile orthogonal display value of current DataPointHintes.
`final Object`
`getPercentileOrthogonalValue()`
Returns the percentile orthogonal value of current DataPointHintes.
`final String`
`getSeriesDisplayValue()`
Returns the series display value of current DataPointHintes.
`final String`
`getSeriesDisplayValue(FormatSpecifier formatSpecifier)`
Returns the series display value of current DataPointHintes using given format specifier.
`final Object`
`getSeriesValue()`
Returns the series value of current DataPointHintes.
`final double`
`getSize()`
Returns the size value of current DataPointHintes.
`final Size`
`getSize2D()`
Returns the size value of current DataPointHintes(only available in 3d mode).
`final Double`
`getStackOrthogonalValue()`
Returns the stacked orthogonal value.
`final Object`
`getUserValue(String key)`
Returns the user value of current DataPointHintes.
`DataPointHints`
`getVirtualCopy()`
Returns a copy of current DataPointHints object, which is virtual.
`final boolean`
`isOutside()`
Invalidates if current data point is outside of plot area.
`boolean`
`isVirtual()`
`final void`
`markOutside()`
Sets current data point is outside of plot area.
`final void`
`setBaseValue(Object newBaseValue)`
Sets the base value.
`final void`
`setIndex(int index)`
`final void`
`setOrthogonalValue(Object value)`
Sets orthogonal value.
`final void`
`setStackOrthogonalValue(Double stackOrthogonalValue)`
`final void`
`setUserValue(String key, Object value)`
Sets the user value of current DataPointHintes.
`final String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataPointHints

public DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double _dSize, RunTimeContext _rtc) throws ChartException
DataPointHints constructor.

Parameters:
  `_oBaseValue` - Category data
  `_oOrthogonalValue` - Value data
  `_dp` - DataPoint for combined value retrieval
  `_fsBase` - Category Format Specifier
  `_fsOrthogonal` - Value Format Specifier
  `_fsSeries` - Value Series Name Format Specifier
  `_idx` - Category Series index
  `_lo` - Location
  `_dSize` - Size
  `_rtc` - Runtime Context
  `_sSeriesValue` - Value Series Name
Throws:
  `ChartException`

### DataPointHints

public DataPointHints(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileValue, DataPoint _dp, FormatSpecifier _fsBase, FormatSpecifier _fsOrthogonal, FormatSpecifier _fsSeries, FormatSpecifier _fsPercentile, int _idx, Location _lo, double[] _dSize, RunTimeContext _rtc) throws ChartException
The constructor.

Parameters:
  `_oBaseValue` -
  `_oOrthogonalValue` -
  `_oSeriesValue` -
  `_dp` -
  `_fsBase` -
  `_fsOrthogonal` -
  `_fsSeries` -
  `_idx` - base Series index
  `_lo` -
  `_dSize` -
  `_rtc` -
Throws:
  `ChartException`

## Method Details

### getVirtualCopy

public DataPointHints getVirtualCopy() throws ChartException
Returns a copy of current DataPointHints object, which is virtual.

Returns:
  copy instance
Throws:
  `ChartException`

### accumulate

public void accumulate(Object _oBaseValue, Object _oOrthogonalValue, Object _oSeriesValue, Object _oPercentileOrthogonalValue)
Accumulates values to current DataPointHintes.

Parameters:
  `_oBaseValue` -
  `_oOrthogonalValue` -
  `_oSeriesValue` -

### getBaseValue

public final Object getBaseValue()
Returns the base value of current DataPointHintes.

Returns:
  base value

### getOrthogonalValue

public final Object getOrthogonalValue()
Returns the orthogonal value of current DataPointHintes.

Returns:
  orthogonal value

### setOrthogonalValue

public final void setOrthogonalValue(Object value)
Sets orthogonal value.

Parameters:
  `value` -
Since:
  2.5

### getStackOrthogonalValue

public final Double getStackOrthogonalValue()
Returns the stacked orthogonal value.

Returns:
  stacked value or null if not stacked

### setStackOrthogonalValue

public final void setStackOrthogonalValue(Double stackOrthogonalValue)

### markOutside

public final void markOutside()
Sets current data point is outside of plot area.

### isOutside

public final boolean isOutside()
Invalidates if current data point is outside of plot area.

### getSeriesValue

public final Object getSeriesValue()
Returns the series value of current DataPointHintes.

Returns:
  series value

### getPercentileOrthogonalValue

public final Object getPercentileOrthogonalValue()
Returns the percentile orthogonal value of current DataPointHintes.

Returns:
  percentile orthogonal value

### getLocation

public final Location getLocation()
Returns the location value of current DataPointHintes.

Returns:
  location

### getLocation3D

public final Location3D getLocation3D()
Returns the 3d location value of current DataPointHintes(only available in 3d mode).

Returns:
  location

### getIndex

public final int getIndex()
Returns the index of current DataPointHints.

Returns:
  current index

### getSize

public final double getSize()
Returns the size value of current DataPointHintes.

Returns:
  size value

### getSize2D

public final Size getSize2D()
Returns the size value of current DataPointHintes(only available in 3d mode).

Returns:
  size value

### getUserValue

public final Object getUserValue(String key)
Returns the user value of current DataPointHintes.

Parameters:
  `key` -
Returns:
  user value

### setUserValue

public final void setUserValue(String key, Object value)
Sets the user value of current DataPointHintes.

Parameters:
  `key` -
  `value` -

### getOrthogonalDisplayValue

public final String getOrthogonalDisplayValue()
Returns the orthogonal display value of current DataPointHintes.

Returns:
  orthogonal value with format

### getBaseDisplayValue

public String getBaseDisplayValue()
Returns the base display value of current DataPointHintes.

Returns:
  base value with format

### getSeriesDisplayValue

public final String getSeriesDisplayValue()
Returns the series display value of current DataPointHintes.

Returns:
  series value with format

### getPercentileOrthogonalDisplayValue

public final String getPercentileOrthogonalDisplayValue()
Returns the percentile orthogonal display value of current DataPointHintes.

Returns:
  percentile orthogonal value with format

### getBaseDisplayValue

public final String getBaseDisplayValue(FormatSpecifier formatSpecifier)
Returns the base display value of current DataPointHintes using given format specifier.

Parameters:
  `formatSpecifier` - format specifier of value to be displayed
Returns:
  base value with format

### getOrthogonalDisplayValue

public final String getOrthogonalDisplayValue(FormatSpecifier formatSpecifier)
Returns the orthogonal display value of current DataPointHintes using given format specifier.

Parameters:
  `formatSpecifier` - format specifier of the value to be displayed
Returns:
  orthogonal value with format

### getSeriesDisplayValue

public final String getSeriesDisplayValue(FormatSpecifier formatSpecifier)
Returns the series display value of current DataPointHintes using given format specifier.

Parameters:
  `formatSpecifier` - format specifier of the value to be displayed
Returns:
  series value with format

### getDisplayValue

public final String getDisplayValue()
Returns the display value of current DataPointHintes.

Returns:
  display value

### getDisplayValue

public final String getDisplayValue(FormatSpecifier fs)
Returns the display value of current DataPointHintes.

Parameters:
  `fs` - format specifier of the value to be displayed
Returns:
  display value

### toString

public final String toString()

Overrides:
  `toString` in class `Object`

### setBaseValue

public final void setBaseValue(Object newBaseValue)
Sets the base value.

Parameters:
  `newBaseValue` - the new base value

### setIndex

public final void setIndex(int index)

### isVirtual

public boolean isVirtual()